<template>

    <div>

        <section class="hero-wrap js-fullheight">
            <div class="overlay"></div>
            <div class="container ftco-no-p">
                <div class="row no-gutters slider-text js-fullheight justify-content-center align-items-center">
                    <div class="col-lg-8 col-md-6 ftco-animate d-flex align-items-center">
                        <div class="text text-center">
                            <span class="subheading">Hello, my name is</span>
                            <h1>{{cms.about.name}}</h1>
                            <h2 class="header-job-title">{{cms.about.job_title}}</h2>
                        </div>
                    </div>
                </div>
            </div>
            <div class="mouse">
                <a href="#" class="mouse-icon">
                    <!--<div class="mouse-wheel"><span class="ion-ios-arrow-round-down"></span>
                    </div>-->
                </a>
            </div>
        </section>

    </div>

</template>

<script type="text/babel">

    export default {
        name: 'Home',
        components: {
        },
        props: {
            cms: Object,
            fullHeight: Function,
            loader: Function,
            contentWayPoint: Function,
        },
        data() {
            return {}
        },
        methods: {
            /*async getAbout() {

                let url = document.querySelector('meta[name=base-url]')
                    .getAttribute("content") + '/api/cms/about/';
                this.axios.get(url)
                    .then(function (response) {
                        return  response;
                    })
                    .catch(err => console.log(err));
            }*/
        },
        mounted() {

            this.fullHeight();
            this.loader();
            this.contentWayPoint();
        }
    }

</script>

<style scoped>

</style>

<style>
</style>

